<a id="mypy-boto3-voice-id"></a>

# mypy-boto3-voice-id

[![PyPI - types-aiobotocore-voice-id](https://img.shields.io/pypi/v/types-aiobotocore-voice-id.svg?color=blue)](https://pypi.org/project/types-aiobotocore-voice-id)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-voice-id.svg?color=blue)](https://pypi.org/project/types-aiobotocore-voice-id)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-voice-id?color=blue)](https://pypistats.org/packages/types-aiobotocore-voice-id)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.VoiceID 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/voice-id.html#VoiceID)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-voice-id docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_voice_id/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-voice-id](#mypy-boto3-voice-id)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `VoiceID`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `VoiceID` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[voice-id]'

# Lite version does not provide session.create_client overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[voice-id]'

# standalone installation
python -m pip install types-aiobotocore-voice-id
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[voice-id]` in your environment:
  `python -m pip install 'types-aiobotocore[voice-id]'`

Both type checking and auto-complete should work for `VoiceID` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[voice-id]` in your environment:
  `python -m pip install 'types-aiobotocore[voice-id]'`

Both type checking and auto-complete should work for `VoiceID` service. No
explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[voice-id]` in your environment:
  `python -m pip install 'types-aiobotocore[voice-id]'`
- Run `mypy` as usual

Type checking should work for `VoiceID` service. No explicit type annotations
required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[voice-id]` in your environment:
  `python -m pip install 'types-aiobotocore[voice-id]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `VoiceID` service. No explicit type annotations
required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`VoiceIDClient` provides annotations for `session.create_client("voice-id")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_voice_id import VoiceIDClient

session = get_session()
async with session.create_client("voice-id") as client:
    client: VoiceIDClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="literals"></a>

### Literals

`types_aiobotocore_voice_id.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

```python
from types_aiobotocore_voice_id.literals import (
    AuthenticationDecisionType,
    DomainStatusType,
    DuplicateRegistrationActionType,
    ExistingEnrollmentActionType,
    FraudDetectionActionType,
    FraudDetectionDecisionType,
    FraudDetectionReasonType,
    FraudsterRegistrationJobStatusType,
    SpeakerEnrollmentJobStatusType,
    SpeakerStatusType,
    StreamingStatusType,
    ServiceName,
)

def check_value(value: AuthenticationDecisionType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`types_aiobotocore_voice_id.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_voice_id.type_defs import (
    AuthenticationConfigurationTypeDef,
    AuthenticationResultTypeDef,
    CreateDomainRequestRequestTypeDef,
    CreateDomainResponseTypeDef,
    DeleteDomainRequestRequestTypeDef,
    DeleteFraudsterRequestRequestTypeDef,
    DeleteSpeakerRequestRequestTypeDef,
    DescribeDomainRequestRequestTypeDef,
    DescribeDomainResponseTypeDef,
    DescribeFraudsterRegistrationJobRequestRequestTypeDef,
    DescribeFraudsterRegistrationJobResponseTypeDef,
    DescribeFraudsterRequestRequestTypeDef,
    DescribeFraudsterResponseTypeDef,
    DescribeSpeakerEnrollmentJobRequestRequestTypeDef,
    DescribeSpeakerEnrollmentJobResponseTypeDef,
    DescribeSpeakerRequestRequestTypeDef,
    DescribeSpeakerResponseTypeDef,
    DomainSummaryTypeDef,
    DomainTypeDef,
    EnrollmentConfigTypeDef,
    EnrollmentJobFraudDetectionConfigTypeDef,
    EvaluateSessionRequestRequestTypeDef,
    EvaluateSessionResponseTypeDef,
    FailureDetailsTypeDef,
    FraudDetectionConfigurationTypeDef,
    FraudDetectionResultTypeDef,
    FraudRiskDetailsTypeDef,
    FraudsterRegistrationJobSummaryTypeDef,
    FraudsterRegistrationJobTypeDef,
    FraudsterTypeDef,
    InputDataConfigTypeDef,
    JobProgressTypeDef,
    KnownFraudsterRiskTypeDef,
    ListDomainsRequestRequestTypeDef,
    ListDomainsResponseTypeDef,
    ListFraudsterRegistrationJobsRequestRequestTypeDef,
    ListFraudsterRegistrationJobsResponseTypeDef,
    ListSpeakerEnrollmentJobsRequestRequestTypeDef,
    ListSpeakerEnrollmentJobsResponseTypeDef,
    ListSpeakersRequestRequestTypeDef,
    ListSpeakersResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    OptOutSpeakerRequestRequestTypeDef,
    OptOutSpeakerResponseTypeDef,
    OutputDataConfigTypeDef,
    RegistrationConfigTypeDef,
    ResponseMetadataTypeDef,
    ServerSideEncryptionConfigurationTypeDef,
    SpeakerEnrollmentJobSummaryTypeDef,
    SpeakerEnrollmentJobTypeDef,
    SpeakerSummaryTypeDef,
    SpeakerTypeDef,
    StartFraudsterRegistrationJobRequestRequestTypeDef,
    StartFraudsterRegistrationJobResponseTypeDef,
    StartSpeakerEnrollmentJobRequestRequestTypeDef,
    StartSpeakerEnrollmentJobResponseTypeDef,
    TagResourceRequestRequestTypeDef,
    TagTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateDomainRequestRequestTypeDef,
    UpdateDomainResponseTypeDef,
)

def get_structure() -> AuthenticationConfigurationTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`types-aiobotocore-voice-id` version is the same as related `boto3` version and
follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[types-aiobotocore-voice-id docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_voice_id/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
